PCI Express 1.1 supports 2.0?

Hello have a Ge-Force 9600M and it says it supports PCI Express 2.0 but its currently only running 1.1, how can I change this?

Screenshot: http://i80.photobucket.com/albums/j188/880753/Untitled-2.png
1 answer Last reply
More about express supports
  1. it is in the power saving time so it won't run full speed

    if you start a game then it will go up to PCIe 2.0
Ask a new question

Read More

Graphics Cards PCI Express Graphics